Subject: Re: [Mpls-interop] ITU-T work on protection

From: Huub van Helvoort <[email-masked]>
Date: Tue, 13 Jan 2009 13:16:22 +0100

Hi Adrian,

You wondered:

> Is anyone familiar with Q9/15's work on Generic Protection Schemes in
> G.808 etc.?

Yes, I am (because I am thew editor... as you could have seen on
the Q9 homepage, or SG15 list of editors)

G.808.1 is for the generic description of linear protection
methodologies.
G.808.2 is for the generic description of ring protection
methodologies.

Each technology has dedicated recommendations for the
particular protection mechanisms.

> Does anyone know whether the ITU-T has any expectations
> about their work with regard to MPLS-TP?

Like protection recommendations for carrier ethernet, i.e
G.8031 (Linear) and G.8032 (Ring), Q9 has already developed
and published G.8131 (Linear) and was working on G.8132 (Ring)
-- of which the ring requirements were liaised to IETF.

According to the JWT agreement work on the latter two is
put on hold.

Regards, Huub.

-- 
================================================================
Always remember that you are unique...just like everyone else...
_______________________________________________
Mpls-interop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-interop

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 13 Jan 2009 13:32:30 -0000

Hi Huub,

Yes. And thank you.

But perhaps my question was too subtle?

I am interested to know whether there are expectations that the generic 
descriptions will be applicable to MPLS-TP. In other words, I want to know 
whether the MPLS-TP design team needs to focus on G.808.1 and .2 in the 
knowledge that those Recommendations will drive MPLS-TP requirements, or 
whether we can be more relaxed and say that requirements for MPLS-TP 
protection schemes will be developed in their own right.

In the case of the former, we have to watch out for MPLS-TP requirements 
being developed "by the back door". In the case of the latter, we would not 
want to hear later that such-and-such is a requirement "because it appears 
in G.808.1 or .2"

A

---

From: "Malcolm Betts" <[email-masked]>
Date: Tue, 13 Jan 2009 15:43:16 -0500

Adrian, since the intent of MPLS-TP is to satisfy (at least) the
requirements of the transport network (as defined by the ITU-T) it would
be prudent for the MPLS-TP design team to use G.808.1 and G.808.2 as a
source of requirements.  I anticipate that the ITU participants on the
design team will assist in distilling these requirements and developing
the text.  This should minimize the comments from the ITU during the
review process.

Malcolm Betts
Nortel Networks
Phone: +1 613 763 7860 (ESN 393)
email: [email-masked]

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Tuesday, January 13, 2009 8:33 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Mpls-interop] ITU-T work on protection

Hi Huub,

Yes. And thank you.

I am interested to know whether there are expectations that the generic
descriptions will be applicable to MPLS-TP. In other words, I want to
know whether the MPLS-TP design team needs to focus on G.808.1 and .2 in
the knowledge that those Recommendations will drive MPLS-TP
requirements, or whether we can be more relaxed and say that
requirements for MPLS-TP protection schemes will be developed in their
own right.

In the case of the former, we have to watch out for MPLS-TP requirements
being developed "by the back door". In the case of the latter, we would
not want to hear later that such-and-such is a requirement "because it
appears in G.808.1 or .2"

A

---

From: "Drake, John E" <[email-masked]>
Date: Tue, 13 Jan 2009 13:57:59 -0800

Malcolm,

We have been gathering protection/restoration requirements since last
fall with Huub's active involvement.  If you think there are
requirements in G.808.1 or G.808.2 that Huub neglected to tell us about,
why are you only now mentioning this?

Thanks,

John 

>From: Malcolm Betts [mailto:[email-masked]] 
>Sent: Tuesday, January 13, 2009 12:43 PM
>To: Adrian Farrel
>Adrian, since the intent of MPLS-TP is to satisfy (at least) 
>the requirements of the transport network (as defined by the 
>ITU-T) it would be prudent for the MPLS-TP design team to use 
>G.808.1 and G.808.2 as a source of requirements.  I anticipate 
>that the ITU participants on the design team will assist in 
>distilling these requirements and developing the text.  This 
>should minimize the comments from the ITU during the review process.
>
>
>Malcolm Betts
>Nortel Networks
>I am interested to know whether there are expectations that 
>the generic descriptions will be applicable to MPLS-TP. In 
>other words, I want to know whether the MPLS-TP design team 
>needs to focus on G.808.1 and .2 in the knowledge that those 
>Recommendations will drive MPLS-TP requirements, or whether we 
>can be more relaxed and say that requirements for MPLS-TP 
>In the case of the former, we have to watch out for MPLS-TP 
>requirements being developed "by the back door". In the case 
>of the latter, we would not want to hear later that 
>such-and-such is a requirement "because it appears in G.808.1 or .2"
>
>A
>> Yes, I am (because I am thew editor... as you could have seen on the 
>> Q9 homepage, or SG15 list of editors)
>>
>> Each technology has dedicated recommendations for the particular 
>> protection mechanisms.
>>
>>> Does anyone know whether the ITU-T has any expectations about their 
>>> work with regard to MPLS-TP?
>>
>> G.8031 (Linear) and G.8032 (Ring), Q9 has already developed and 
>> published G.8131 (Linear) and was working on G.8132 (Ring)
>> According to the JWT agreement work on the latter two is put on hold.
>>
>> Regards, Huub.
>>
>> --

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 13 Jan 2009 22:28:04 -0000

To be a little fair to Malcolm (although I don't see why he shouldn't 
suffer) I think I raised the issue.

I saw that there is planned work on the G.808 series and I wondered whether 
there was new work being done to develop generic protection/restoration 
requirements that would also apply to MPLS-TP. If so (it seemed to me), we 
would be seeing the development of new MPLS-TP requirements that were being 
developed without full and open discussion with the MPLS-TP design team.

A
----- Original Message ----- 
From: "Drake, John E" <[email-masked]>
To: "Malcolm Betts" <[email-masked]>; "Adrian Farrel" 
<[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, January 13, 2009 9:57 PM
Subject: RE: [Mpls-interop] ITU-T work on protection

Malcolm,

Thanks,

John

---

From: Huub van Helvoort <[email-masked]>
Date: Wed, 14 Jan 2009 00:21:06 +0100

Hi Adrian,

You replied:

> I saw that there is planned work on the G.808 series and I wondered 
> whether there was new work being done to develop generic 
> protection/restoration requirements that would also apply to MPLS-TP.

Because these are generic recommendations they are technology
independent. It is up to the technology specific protection
recommendation to identify one or more of the generic methods
that will be used in that particular technology.
It is not required that ALL generic methods described in G.808.x
are supported in a particular technology.

> If so (it seemed to me), we would be seeing the development of new
> MPLS-TP requirements that were being developed without full and open
> discussion with the MPLS-TP design team.

If there are requirements added they are generic, i.e. technology
independent.

Regards, Huub.

 > From: "Drake, John E"
> <[email-masked]> To: "Malcolm Betts" <[email-masked]>;
> "Adrian Farrel" <[email-masked]> Cc: <[email-masked]> 
> Sent: Tuesday, January 13, 2009 9:57 PM Subject: RE: [Mpls-interop]
> ITU-T work on protection
> 
> 
> Malcolm,
> 
> requirements in G.808.1 or G.808.2 that Huub neglected to tell us
> about, why are you only now mentioning this?
> 
> Thanks,
> 
> John
> 
 >> From: Malcolm Betts
>> [mailto:[email-masked]] Sent: Tuesday, January 13, 2009 12:43
>> PM To: Adrian Farrel Cc: [email-masked] Subject: Re:
>> [Mpls-interop] ITU-T work on protection
>> 
>> requirements of the transport network (as defined by the ITU-T) it
>> would be prudent for the MPLS-TP design team to use G.808.1 and
>> G.808.2 as a source of requirements.  I anticipate that the ITU
>> participants on the design team will assist in distilling these
>> requirements and developing the text.  This should minimize the
>> comments from the ITU during the review process.
>> 
>> 
>> Malcolm Betts Nortel Networks Phone: +1 613 763 7860 (ESN 393) 
>> Sent: Tuesday, January 13, 2009 8:33 AM To: [email-masked] Cc:
>> [email-masked] Subject: Re: [Mpls-interop] ITU-T work on
>> protection
>> 
>> Hi Huub,
>> 
>> Yes. And thank you.
>> 
>> I am interested to know whether there are expectations that the
>> generic descriptions will be applicable to MPLS-TP. In other words,
>> I want to know whether the MPLS-TP design team needs to focus on
>> G.808.1 and .2 in the knowledge that those Recommendations will
>> drive MPLS-TP requirements, or whether we can be more relaxed and
>> say that requirements for MPLS-TP protection schemes will be
>> developed in their own right.
>> 
>> requirements being developed "by the back door". In the case of the
>> latter, we would not want to hear later that such-and-such is a
>> requirement "because it appears in G.808.1 or .2"
>> 
>> A
 >> From: "Huub van Helvoort"
>> <[email-masked]> To: "Adrian Farrel" <[email-masked]> Cc:
>> <[email-masked]> Sent: Tuesday, January 13, 2009 12:16 PM 
>>> methodologies. G.808.2 is for the generic description of ring
>>> protection methodologies.
>>> 
>>>> Does anyone know whether the ITU-T has any expectations about
>>>> their work with regard to MPLS-TP?
>>> 
>>> Like protection recommendations for carrier ethernet, i.e G.8031
>>> (Linear) and G.8032 (Ring), Q9 has already developed and 
>>> published G.8131 (Linear) and was working on G.8132 (Ring) -- of
>>> which the ring requirements were liaised to IETF.
>>>

---

From: "Malcolm Betts" <[email-masked]>
Date: Wed, 14 Jan 2009 08:15:03 -0500

John, I have not been able to participate in this work.  However, I
think that Huub has probably done a good job in identifying the ITU-T
requirements.  So my assumption on the background for Adrian's question
was can some of the requirements that have been gathered for G.808/.1/2
be discarded, my response is no, at least not without some wider
discussion involving the ITU experts, via the ad hoc and Q9 email lists.

Malcolm Betts
Nortel Networks

-----Original Message-----
From: Drake, John E [mailto:[email-masked]] 
Sent: Tuesday, January 13, 2009 4:58 PM
To: Betts, Malcolm (CAR:X632); Adrian Farrel
Cc: [email-masked]
Subject: RE: [Mpls-interop] ITU-T work on protection

Malcolm,

Thanks,

John 

>requirements of the transport network (as defined by the
>G.808.1 and G.808.2 as a source of requirements.  I anticipate that the

>ITU participants on the design team will assist in distilling these

---

From: "Malcolm Betts" <[email-masked]>
Date: Wed, 14 Jan 2009 08:42:23 -0500

Huub, a few points:

Its is possible that the MPLS-TP solutions may define a new method for
the implementation of protection that Q9 may consider including in a
revision to G.808.x

A technology specific Recommendation (or in this case a RFC) is a
reflection of a subset of G.808.x at some point in time before approval
- i.e. we should not attempt a "real time tracking/change on the fly".  

We should rely on the common participants, use of the ITU/IETF email
exploders and as a last resort liaisons to ensure that the appropriate
experts are aware of any changes. 

Any ITU-T Recommendations on protection must be fully aligned with and
reference the appropriate RFCs.

Malcolm Betts
Nortel Networks

-----Original Message-----
From: Huub van Helvoort [mailto:[email-masked]] 
Sent: Tuesday, January 13, 2009 6:21 PM
To: Adrian Farrel
Cc: Betts, Malcolm (CAR:X632); [email-masked]
Subject: Re: [Mpls-interop] ITU-T work on protection

Hi Adrian,

Because these are generic recommendations they are technology
independent. It is up to the technology specific protection
recommendation to identify one or more of the generic methods that will
be used in that particular technology.
It is not required that ALL generic methods described in G.808.x are
supported in a particular technology.

Regards, Huub.

>> [mailto:[email-masked]] Sent: Tuesday, January 13, 2009 12:43 PM 
>> To: Adrian Farrel Cc: [email-masked] Subject: Re:
>> generic descriptions will be applicable to MPLS-TP. In other words, I

>> want to know whether the MPLS-TP design team needs to focus on
>> G.808.1 and .2 in the knowledge that those Recommendations will drive

>> MPLS-TP requirements, or whether we can be more relaxed and say that 
>> requirements for MPLS-TP protection schemes will be developed in 
>> their own right.
>> 

>>> (Linear) and G.8032 (Ring), Q9 has already developed and published 
>>> G.8131 (Linear) and was working on G.8132 (Ring) -- of which the 
>>> ring requirements were liaised to IETF.
>>>